Bug 124184 - [MAINTAINER] archivers/lzo2: reduce self-test verbosity, add documentation
[MAINTAINER] archivers/lzo2: reduce self-test verbosity, add documentation
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-01 10:30 UTC by matthias.andree
Modified: 2008-06-20 19:55 UTC (History)
0 users

See Also:


Attachments
lzo2-2.03_1.patch (3.30 KB, patch)
2008-06-01 10:30 UTC, matthias.andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description matthias.andree 2008-06-01 10:30:02 UTC
- reduce self-test verbosity (requested by Chuck Swiger)
- add some documentation and example source files
- bump PORTREVISION

Added file(s):
- files/patch-silence-lzotest.c

Generated with FreeBSD Port Tools 0.77
Comment 1 Martin Wilke freebsd_committer 2008-06-01 11:32:17 UTC
State Changed
From-To: open->feedback

Your port don't respect NOPORTEXAMPLES and NOPORTDOCS.  Please fix it 
and submit a followup to this PR. Look at the Porters Handbook for 
instructions. 

Thanks
Comment 2 matthias.andree 2008-06-02 11:56:41 UTC
verbosity, add documentation

New patch below to heed EXAMPLESDIR, NOPORTEXAMPLES and thereabouts.

--- lzo2-2.03_1.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/archivers/lzo2/Makefile /usr/home/emma/ports/archivers/lzo2/Makefile
--- /usr/ports/archivers/lzo2/Makefile	2008-05-30 17:39:24.000000000 +0200
+++ /usr/home/emma/ports/archivers/lzo2/Makefile	2008-06-02 12:47:54.000000000 +0200
@@ -7,6 +7,7 @@
 
 PORTNAME=	lzo2
 PORTVERSION=	2.03
+PORTREVISION=	1
 CATEGORIES=	archivers devel
 MASTER_SITES=	http://www.oberhumer.com/opensource/lzo/download/ \
 		http://fresh.t-systems-sfr.com/unix/src/misc/ \
@@ -24,12 +25,21 @@
 USE_LDCONFIG=	yes
 
 post-build:
+	@${ECHO_MSG} "===>  Running self-tests for ${PKGNAME} (can take a few minutes, without output)"
 	cd ${WRKSRC} && ${MAKE} test
 
 post-install:
 .if !defined(NOPORTDOCS)
 	${MKDIR} ${DOCSDIR}
+	cd ${WRKSRC} && ${REINPLACE_CMD} -e 's,doc/,,' NEWS README
+.for i in AUTHORS BUGS COPYING NEWS README THANKS
+	${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}/
+.endfor
 	${INSTALL_DATA}	${WRKSRC}/doc/* ${DOCSDIR}
 .endif
+.if !defined(NOPORTEXAMPLES)
+	${MKDIR} ${EXAMPLESDIR}
+	${INSTALL_DATA}	${WRKSRC}/examples/[a-z]*.[ch] ${EXAMPLESDIR}/
+.endif
 
 .include <bsd.port.mk>
diff -ruN --exclude=CVS /usr/ports/archivers/lzo2/Makefile~ /usr/home/emma/ports/archivers/lzo2/Makefile~
--- /usr/ports/archivers/lzo2/Makefile~	1970-01-01 01:00:00.000000000 +0100
+++ /usr/home/emma/ports/archivers/lzo2/Makefile~	2008-06-02 11:54:54.000000000 +0200
@@ -0,0 +1,45 @@
+# New ports collection makefile for:	lzo
+# Date created:				21 Feb 1998
+# Whom:					giffunip@asme.org
+#
+# $FreeBSD: ports/archivers/lzo2/Makefile,v 1.41 2008/05/30 15:39:24 miwi Exp $
+#
+
+PORTNAME=	lzo2
+PORTVERSION=	2.03
+PORTREVISION=	1
+CATEGORIES=	archivers devel
+MASTER_SITES=	http://www.oberhumer.com/opensource/lzo/download/ \
+		http://fresh.t-systems-sfr.com/unix/src/misc/ \
+		http://ftp.uni-koeln.de/util/arc/
+MASTER_SITE_SUBDIR=	libs/compression
+DISTNAME=	lzo-${DISTVERSIONPREFIX}${DISTVERSION}${DISTVERSIONSUFFIX}
+
+MAINTAINER=	matthias.andree@gmx.de
+COMMENT=	Portable speedy, lossless data compression library
+
+USE_AUTOTOOLS=	libtool:15
+GNU_CONFIGURE=	yes
+CONFIGURE_TARGET=	--build=${ARCH}-portbld-freebsd${OSREL}
+CONFIGURE_ARGS=	--enable-shared
+USE_LDCONFIG=	yes
+
+post-build:
+	@${ECHO_MSG} "===>  Running self-tests for ${PKGNAME} (can take a few minutes, without output)"
+	cd ${WRKSRC} && ${MAKE} test
+
+post-install:
+.if !defined(NOPORTDOCS)
+	${MKDIR} ${DOCSDIR}
+	cd ${WRKSRC} && ${REINPLACE_CMD} -e 's,doc/,,' NEWS README
+.for i in AUTHORS BUGS COPYING NEWS README THANKS
+	${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}/
+.endfor
+	${INSTALL_DATA}	${WRKSRC}/doc/* ${DOCSDIR}
+.endif
+.if !defined(NOPORTEXAMPLES)
+	${MKDIR} ${EXAMPLESDIR}/examples
+	${INSTALL_DATA}	${WRKSRC}/examples/[a-z]*.[ch] ${EXAMPLESDIR}/
+.endif
+
+.include <bsd.port.mk>
diff -ruN --exclude=CVS /usr/ports/archivers/lzo2/files/patch-silence-lzotest.c /usr/home/emma/ports/archivers/lzo2/files/patch-silence-lzotest.c
--- /usr/ports/archivers/lzo2/files/patch-silence-lzotest.c	1970-01-01 01:00:00.000000000 +0100
+++ /usr/home/emma/ports/archivers/lzo2/files/patch-silence-lzotest.c	2008-06-02 11:52:19.000000000 +0200
@@ -0,0 +1,27 @@
+This test reduces the lzotest verbosity so that it doesn't print anything
+on success.
+
+--- lzotest/lzotest.c.orig	2008-06-01 10:01:36.000000000 +0200
++++ lzotest/lzotest.c	2008-06-01 10:03:10.000000000 +0200
+@@ -226,7 +226,7 @@
+ 
+ struct corpus_entry_t;
+ 
+-int opt_verbose = 2;
++int opt_verbose = 1;
+ 
+ long opt_c_loops = 0;
+ long opt_d_loops = 0;
+@@ -1910,10 +1910,12 @@
+ #elif defined(LZOTEST_USE_DYNLOAD)
+ #  include "dynload/init.ch"
+ #else
++#if 0
+     printf("\nLZO real-time data compression library (v%s, %s).\n",
+            lzo_version_string(), lzo_version_date());
+     printf("Copyright (C) 1996-2008 Markus Franz Xaver Johannes Oberhumer\nAll Rights Reserved.\n\n");
++#endif
+ #endif
+ 
+ 
+ /*
diff -ruN --exclude=CVS /usr/ports/archivers/lzo2/pkg-plist /usr/home/emma/ports/archivers/lzo2/pkg-plist
--- /usr/ports/archivers/lzo2/pkg-plist	2006-02-23 11:34:20.000000000 +0100
+++ /usr/home/emma/ports/archivers/lzo2/pkg-plist	2008-06-02 11:54:17.000000000 +0200
@@ -11,13 +11,28 @@
 include/lzo/lzoconf.h
 include/lzo/lzodefs.h
 include/lzo/lzoutil.h
+@dirrm include/lzo
 lib/liblzo2.a
 lib/liblzo2.la
 lib/liblzo2.so
 lib/liblzo2.so.2
+%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
+%%PORTDOCS%%%%DOCSDIR%%/BUGS
+%%PORTDOCS%%%%DOCSDIR%%/COPYING
 %%PORTDOCS%%%%DOCSDIR%%/LZO.FAQ
 %%PORTDOCS%%%%DOCSDIR%%/LZO.TXT
 %%PORTDOCS%%%%DOCSDIR%%/LZOAPI.TXT
 %%PORTDOCS%%%%DOCSDIR%%/LZOTEST.TXT
+%%PORTDOCS%%%%DOCSDIR%%/NEWS
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/THANKS
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/dict.c
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/lzopack.c
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/overlap.c
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/portab.h
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/portab_a.h
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/precomp.c
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/precomp2.c
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/simple.c
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
-@dirrm include/lzo
--- lzo2-2.03_1.patch ends here ---
Comment 3 matthias.andree 2008-06-02 12:00:25 UTC
Sorry - I missed that the new patch creates a backup file (Makefile~).
Please disregard that file and do not add it to the repository.

Best regards
Matthias
Comment 4 dfilter freebsd_committer 2008-06-20 19:38:57 UTC
lippe       2008-06-20 18:38:52 UTC

  FreeBSD ports repository

  Modified files:
    archivers/lzo2       Makefile pkg-plist 
  Added files:
    archivers/lzo2/files patch-silence-lzotest.c 
  Log:
  - Reduce self-test verbosity.
  - Add DOCS and EXAMPLES files.
  - Bump PORTREVISION.
  
  PR:             ports/124184
  Submitted by:   Matthias Andree <matthias.andree@gmx.de> (maintainer)
  Approved by:    gabor (mentor, implicit)
  
  Revision  Changes    Path
  1.42      +12 -1     ports/archivers/lzo2/Makefile
  1.1       +27 -0     ports/archivers/lzo2/files/patch-silence-lzotest.c (new)
  1.20      +16 -1     ports/archivers/lzo2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Felippe de Meirelles Motta freebsd_committer 2008-06-20 19:55:23 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!